# Uses of Class
org.apache.felix.framework.util.manifestparser.NativeLibrary

Packages that use NativeLibrary
Package
Description
org.apache.felix.framework
org.apache.felix.framework.util.manifestparser

## Uses of NativeLibrary in org.apache.felix.framework

Methods in org.apache.felix.framework that return types with arguments of type NativeLibrary
Modifier and Type
Method
Description
`List<NativeLibrary>`
BundleRevisionImpl.`getDeclaredNativeLibraries()`
`List<NativeLibrary>`
BundleWiringImpl.`getNativeLibraries()`

## Uses of NativeLibrary in org.apache.felix.framework.util.manifestparser

Methods in org.apache.felix.framework.util.manifestparser that return types with arguments of type NativeLibrary
Modifier and Type
Method
Description
`List<NativeLibrary>`
ManifestParser.`getLibraries()`
This method returns the selected native library metadata from the manifest.